Bug 72924 - Edit Header and Update does not allow saving the file
Summary: Edit Header and Update does not allow saving the file
Status: RESOLVED FIXED
Alias: None
Product: kbabel
Classification: Miscellaneous
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Stanislav Visnovsky
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-19 01:23 UTC by Ben Burton
Modified: 2006-04-27 11:03 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Burton 2004-01-19 01:23:02 UTC
Version:            (using KDE KDE 3.1.5)
Installed from:    Debian testing/unstable Packages
OS:          Linux

(Received through the Debian BTS as #226482, confirmed on my machine.)

If only doing Edit Header and then Update, kbabel keeps the save function grayed out. This seems to happen every time, even when update definitely alters the header information.

Thanks - Ben.
Comment 1 Stanislav Visnovsky 2004-01-19 08:33:14 UTC
Hmmm, does not even work in 1.3 (KDE 3.2).
Comment 2 Stanislav Visnovsky 2004-01-30 20:54:16 UTC
OK. The button there is misleading. It updates the currently
shown header according to the automatic header fixing as 
specified in the preferences - like updating copyright, 
dates etc.
Comment 3 Stanislav Visnovsky 2004-05-12 10:42:50 UTC
CVS commit by nanulo: 

Update misleading button label, add What's this text.

CCMAIL: 72924-done@bugs.kde.org


  M +7 -1      headereditor.cpp   1.22


--- kdesdk/kbabel/kbabel/headereditor.cpp  #1.21:1.22
@@ -47,6 +47,12 @@ HeaderEditor::HeaderEditor(Catalog* cat,
    connect(_catalog,SIGNAL(signalHeaderChanged()),this,SLOT(updateHeader()));
 
-   setButtonText(User1,i18n("&Update"));
+   setButtonText(User1,i18n("&Apply Settings"));
+   setButtonWhatsThis (User1, i18n("<qt><p>This button "
+        "updates the header using the current settings. "
+        "The resulting header is the one that would be written into the PO file "
+        "on saving.</p></qt>") );
    setButtonText(Default,i18n("&Reset"));
+   setButtonWhatsThis (Default, i18n("<qt><p>This button "
+        "will revert all changes made so far.</p></qt>") );
 
    _editor=new HeaderWidget(this,"internal headereditor");